For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inBook a demo
GuidesAPI Reference
GuidesAPI Reference
  • API Reference
      • GETGet Sync Source
      • GETModel Sync Field Query
      • GETList Syncs
      • POSTCreate Sync
      • GETGet Sync Schedule Options
      • GETGet Sync
      • PUTUpdate Sync
      • DELDelete Model Sync
      • POSTActivate Sync
      • POSTCancel Sync
      • POSTStart Sync
      • GETGet Sync Status
        • GETList Executions
        • GETGet Execution
        • POSTCancel Sync Execution
        • GETGet Execution Console Logs
        • GETGet Execution Logs Index
        • GETGet Execution Log Urls
        • GETGet Execution Log
Logo
Log inBook a demo
API ReferenceModel SyncExecutions

Get Execution

GET
https://app.polytomic.com/api/syncs/:sync_id/executions/:id
GET
/api/syncs/:sync_id/executions/:id
$curl https://app.polytomic.com/api/syncs/248df4b7-aa70-47b8-a036-33ac447e668d/executions/248df4b7-aa70-47b8-a036-33ac447e668d \
> -H "Authorization: Bearer <token>"
1{
2 "data": {
3 "completed_at": "2024-01-01T00:00:00Z",
4 "counts": {
5 "delete": 42,
6 "error": 5,
7 "insert": 80,
8 "total": 100,
9 "update": 15,
10 "upserts": 10,
11 "warnings": 10
12 },
13 "created_at": "2024-01-01T00:00:00Z",
14 "errors": [
15 "something went wrong"
16 ],
17 "id": "248df4b7-aa70-47b8-a036-33ac447e668d",
18 "started_at": "2024-01-01T00:00:00Z",
19 "status": "created",
20 "type": "scheduled"
21 }
22}

Returns a single model sync execution.

For the log files produced by this execution, use GET /api/syncs/{sync_id}/executions/{id}/{type} to retrieve signed URLs grouped by log category.

Was this page helpful?
Previous

Cancel Sync Execution

Next

Authentication

AuthorizationBearer
Bearer user API key
OR
AuthorizationBasic

Basic organization-scoped API key

Path parameters

sync_idstringRequiredformat: "uuid"
idstringRequiredformat: "uuid"

Headers

X-Polytomic-VersionstringOptional

Response

OK
dataobject

Errors

404
Not Found Error
500
Internal Server Error